Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: [solved] Install older Kernel  (Read 285 times)

Offline Peter

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
[solved] Install older Kernel
« on: February 25, 2020, 03:11:11 pm »
My fanless system (gemini lake cpu N4100)  freezes every day (kernel 4.19 and 5.5). One user reported no freezes with kernel 4.18.0-15-generic (Debian/Ubuntu?). Seems to be my last hope after trying every found solution on the internet. Is it possible to install an older kernel? How?

Thanks for any help
« Last Edit: February 26, 2020, 03:13:53 pm by Peter »

Offline Peter

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
Re: Install older Kernel
« Reply #1 on: February 26, 2020, 12:33:34 pm »
Found this cool script:

https://github.com/sparkylinux/sparky-kernel-builder

Kernel 4.18 is built on my pc right now  :)

Thanks Pavroo

Offline Peter

  • Newbie
  • *
  • Posts: 21
  • Karma: +0/-0
Re: [solved] Install older Kernel
« Reply #2 on: February 26, 2020, 03:22:51 pm »
Here for others:

Code: [Select]
# cd ~
# apt install flex bison binutils-dev
# wget https://raw.githubusercontent.com/sparkylinux/sparky-kernel-builder/master/sparky-kernel-builder -O sparky-kernel-builder.sh
# vi sparky-kernel-builder.sh

-> KERNEL="4.18"
-> LINE="4.x"

# chmod 775 sparky-kernel-builder.sh
# ./sparky-kernel-builder.sh

-> answered with default values

# apt install ~/amd64-4.18/linux-image-4.18.0-sparky-amd64_4.18.0-1_amd64.deb
# reboot
« Last Edit: February 26, 2020, 03:32:25 pm by Peter »